#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-GaahD0YZSGr3iWPcszcW12
key:                  hOpenPGP-2.9.8-GaahD0YZSGr3iWPcszcW12
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  10429f5be00903db92771a935b5a56b9
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-GaahD0YZSGr3iWPcszcW12
depends:
    aeson-2.1.2.1-A1BsFbrv9iTYSCFmVNKuj
    asn1-encoding-0.9.6-34nPYFJL0QH6oBEaLvyOvW
    attoparsec-0.14.4-Ls3KkFW9Y1ID7Dl0hM2meR base-4.16.4.0
    base16-bytestring-1.0.2.0-AK96RZYr55lHVf4WSwGA81
    bifunctors-5.6-Luv833HM8nkCUjjCQKOpeI binary-0.8.9.0
    binary-conduit-1.3.1-AOC3lcHo8VwLfcvBzq82ct bytestring-0.11.4.0
    bz2-1.0.1.1-JwBlMaSKhgKGuXZyDb2fvz
    conduit-1.3.6.1-EmQDPCPXJgrL797J8uBBY2
    conduit-extra-1.3.6-Kte5fViomIh59MYUbUAYeX containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-5A8Vq3nGwUqE8nWuiJzEIE
    errors-2.3.0-LOSomVftnjFJV3OS8FpiB
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    incremental-parser-0.5.1-LktaNOjoInF1OznNDQwIl1
    ixset-typed-0.5.1.0-7XIwvIxWWXS7BmDhZwThvl
    lens-5.2.3-Kl7yxswuY6u3w0uMRKVPKi
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-L3xnVJ00D4a5M1YFOenxXQ
    network-uri-2.6.4.2-CDmMeEG7S02GXR0T7FnbFN
    openpgp-asciiarmor-0.1.2-GIgle1azxuqArRGkFKnOez
    prettyprinter-1.7.1-EK9br09fdXn8mSlFcoOi40
    resourcet-1.2.6-Bsii0ofts3VF0aGJ0EExRr
    split-0.2.5-BYOFqeTExQMGx7basqXlD8 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-E7OuZmBexWvK28rs1X57rg
    zlib-0.6.3.0-8GKNDEu5eA658hSSkslpez

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

